@echo off
rem Version 1.7
rem of 03.04.2019
echo.
echo Jose: Default-Reports
echo ======================
echo.
echo This batch file creates standard reports with Jose.
echo The report files have descriptive names with a timestamp appended to it.
cd %0\..

REM create timestamp
SET DateTempFile=%RANDOM%Temp.vbs
CD %0\..
ECHO dtmNow = Now()>%DateTempFile%
ECHO strDate = Year(dtmNow) ^& Right("0" ^& Month(dtmNow),2) ^& Right("0" ^& Day(dtmNow), 2) ^& "-" ^& Right("0" ^& Hour(dtmNow), 2) ^& Right("0" ^& Minute(dtmNow), 2) ^& Right("0" ^& Second(dtmNow), 2)>>%DateTempFile%
ECHO WScript.Echo strDate>>%DateTempFile%
FOR /F " usebackq delims==" %%a IN (`@CSCRIPT //NOLOGO %DateTempFile%`) DO (
	SET MyDate=%%a
)
DEL %DateTempFile%

set dom=%userdomain%
echo.
echo Timestamp for file names: %MyDate%
echo Name of the domain: %dom%
echo Logged on as: %USERDOMAIN%\%USERNAME%
echo.
echo Domain Metadata ...
echo Start: %time%
cscript //nologo //u JoseExec.vbs /d:!Domain-Metadata.txt /r:Domain-Metadata_%dom%_%MyDate%.htm
echo End: %time%
echo.
echo Domains-Info ...
echo Start: %time%
cscript //nologo //u JoseExec.vbs /d:!Domain-Info.txt /r:Domain-Info_%dom%_%MyDate%.htm
echo End: %time%
echo.
echo Mail-Objects ...
echo Start: %time%
cscript //nologo //u JoseExec.vbs /d:!Mail-Objects.txt /r:Mail-Objects_%dom%_%MyDate%.htm
echo End: %time%
echo.
echo User-Computer-Groups ...
echo Start: %time%
cscript //nologo //u JoseExec.vbs /d:!User-Computer-Groups.txt /r:User-Computer-Groups_%dom%_%MyDate%.htm
echo End: %time%
echo.
echo Computer-Security ...
echo Start: %time%
cscript //nologo //u JoseExec.vbs /d:!Computer-Security.txt /r:Computer-Security_%dom%_%MyDate%.htm
echo End: %time%
echo.
echo Builtin-Groups ...
echo Start: %time%
call .\Definitions\Create-DynamicReportsBuiltinUsers.bat
cscript //nologo //u JoseExec.vbs /d:TempBuiltin.txt /r:Builtin-Groups_%dom%_%MyDate%.htm
echo End: %time%
echo.
echo Users-Groups ...
echo Start: %time%
cscript //nologo //u JoseExec.vbs /d:TempUsers.txt /r:Users-Groups_%dom%_%MyDate%.htm
del .\Definitions\TempBuiltin.txt
del .\Definitions\TempUsers.txt
echo End: %time%
echo.
echo Report logon data ...
call who-am-i.bat>.\Reports\Logged_on_user_%MyDate%.txt
echo Finished.
